DefaultSmartExecutorProxy (smart-executor-client 1.0.0-SNAPSHOT API)
Date: 2015-04-13

org.gcube.vremanagement.executor.client.proxies

## Class DefaultSmartExecutorProxy

- java.lang.Object
- - org.gcube.vremanagement.executor.client.proxies.DefaultSmartExecutorProxy

- All Implemented Interfaces:
    org.gcube.vremanagement.executor.api.SmartExecutor, SmartExecutorProxy

      public class DefaultSmartExecutorProxy
      extends Object
      implements SmartExecutorProxy

  Author:
    Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/

- - ### Field Summary

    - ### Fields inherited from interface org.gcube.vremanagement.executor.api.SmartExecutor

      `TARGET_NAMESPACE, WEB_SERVICE_SERVICE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSmartExecutorProxy(org.gcube.common.clients.delegates.ProxyDelegate<org.gcube.vremanagement.executor.api.SmartExecutor> proxyDelegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.vremanagement.executor.plugin.PluginState` | `getState(String executionIdentifier)`
    `String` | `launch(org.gcube.vremanagement.executor.api.types.LaunchParameter launchParameter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSmartExecutorProxy

          public DefaultSmartExecutorProxy(org.gcube.common.clients.delegates.ProxyDelegate<org.gcube.vremanagement.executor.api.SmartExecutor> proxyDelegate)

  - ### Method Detail

    - #### launch

          public String launch(org.gcube.vremanagement.executor.api.types.LaunchParameter launchParameter)
                        throws org.gcube.vremanagement.executor.exception.InputsNullException,
                               org.gcube.vremanagement.executor.exception.PluginNotFoundException,
                               org.gcube.vremanagement.executor.exception.LaunchException,
                               org.gcube.vremanagement.executor.exception.ExecutorException

      Specified by:
        `launch` in interface `org.gcube.vremanagement.executor.api.SmartExecutor`
      Throws:
        `org.gcube.vremanagement.executor.exception.InputsNullException`
        `org.gcube.vremanagement.executor.exception.PluginNotFoundException`
        `org.gcube.vremanagement.executor.exception.LaunchException`
        `org.gcube.vremanagement.executor.exception.ExecutorException`

    - #### getState

          public org.gcube.vremanagement.executor.plugin.PluginState getState(String executionIdentifier)
                                                                       throws org.gcube.vremanagement.executor.exception.PluginInstanceNotFoundException,
                                                                              org.gcube.vremanagement.executor.exception.ExecutorException

      Specified by:
        `getState` in interface `org.gcube.vremanagement.executor.api.SmartExecutor`
      Throws:
        `org.gcube.vremanagement.executor.exception.PluginInstanceNotFoundException`
        `org.gcube.vremanagement.executor.exception.ExecutorException`

Copyright © 2015. All Rights Reserved.